本站使用了 Pjax 等基于 JavaScript 的开发技术,但您的浏览器已禁用 JavaScript,请开启 JavaScript 以保证网站正常显示!

ArchLinux升级提示error: failed to update core (unable to lock database)的解决办法

在使用ArchLinuxpacman命令做系统或软件升级时,有时候会碰到如下的报错,从而导致无法继续升级,甚至在kill相应的pacman进程也无效

请输入图片描述

其实,这是Pacman数据库因之前的操作异常而被锁定,因此手动解锁即可。命令如下:

rm -f /var/lib/pacman/db.lck

重新执行pacman -Syu
请输入图片描述


 继续浏览关于 ArchLinux 的文章

 本文最后更新于 2019/01/26 11:51:40,可能因经年累月而与现状有所差异

 引用转载请注明:数字漩涡 > 排障 > ArchLinux升级提示error: failed to update core (unable to lock database)的解决办法

发现共鸣

如是说:给我一个电话亭,我要拯救地球。